Loading...
Searching...
No Matches
pcl::DefaultPointRepresentation< FPFHSignature33 > Class Reference

`#include <pcl/point_representation.h>`

Inheritance diagram for pcl::DefaultPointRepresentation< FPFHSignature33 >:

## Additional Inherited Members

Public Types inherited from pcl::DefaultFeatureRepresentation< FPFHSignature33 >
using | Ptr = shared_ptr< DefaultFeatureRepresentation< FPFHSignature33 > >
using | ConstPtr = shared_ptr< const DefaultFeatureRepresentation< FPFHSignature33 > >
using | FieldList = typename pcl::traits::fieldList< FPFHSignature33 >::type
Public Types inherited from pcl::PointRepresentation< PointT >
using | Ptr = shared_ptr< PointRepresentation< PointT > >
using | ConstPtr = shared_ptr< const PointRepresentation< PointT > >
Public Member Functions inherited from pcl::DefaultFeatureRepresentation< FPFHSignature33 >
| DefaultFeatureRepresentation ()
Ptr | makeShared () const
void | copyToFloatArray (const FPFHSignature33 &p, float *out) const override
| Copy point data from input point to a float array.
Public Member Functions inherited from pcl::PointRepresentation< PointT >
virtual | ~PointRepresentation ()=default
| Empty destructor.
virtual void | copyToFloatArray (const PointT &p, float *out) const =0
| Copy point data from input point to a float array.
bool | isTrivial () const
| Returns whether this point representation is trivial.
virtual bool | isValid (const PointT &p) const
| Verify that the input point is valid.
template<typename OutputType >
void | vectorize (const PointT &p, OutputType &out) const
| Convert input point into a vector representation, rescaling by alpha.
void | vectorize (const PointT &p, float *out) const
void | vectorize (const PointT &p, std::vector< float > &out) const
void | setRescaleValues (const float *rescale_array)
| Set the rescale values to use when vectorizing points.
int | getNumberOfDimensions () const
| Return the number of dimensions in the point's vector representation.
Protected Attributes inherited from pcl::PointRepresentation< PointT >
int | nr_dimensions_ = 0
| The number of dimensions in this point's vector (i.e.
std::vector< float > | alpha_
| A vector containing the rescale factor to apply to each dimension.
bool | trivial_ = false
| Indicates whether this point representation is trivial.

## Detailed Description

Definition at line 428 of file point_representation.h.

The documentation for this class was generated from the following file:

- pcl/point_representation.h